Skip to main content

Underpayment Limits

Manage underpayment limit settings for invoices. When a received amount is lower than expected but within the configured threshold, the invoice is still marked as "Done".

Values can be set as an exact amount (static) and/or as a percentage of the invoice expected amount.

Set Underpayment Limits

PATCH /api/company/underpayment-limits

Headers

HeaderValue
authorizationBearer YOUR_PUBLIC_TOKEN
content-typeapplication/json

Request Body

View full request body
{
"assets": {
"btc": {
"static": 0,
"percentage": 0
},
"eth": {
"static": 0,
"percentage": 0
},
"usdt": {
"static": 0,
"percentage": 0
},
"sol": {
"static": 0,
"percentage": 0
},
"ton": {
"static": 0,
"percentage": 0
},
"usdc": {
"static": 0,
"percentage": 0
},
"bnb": {
"static": 0,
"percentage": 0
},
"ltc": {
"static": 0,
"percentage": 0
},
"near": {
"static": 0,
"percentage": 0
},
"trx": {
"static": 0,
"percentage": 0
},
"bch": {
"static": 0,
"percentage": 0
}
}
}

Request Parameters (per asset)

FieldTypeDescription
staticnumberFixed underpayment amount threshold
percentagenumberPercentage underpayment threshold

cURL

View full cURL request
curl --location --request PATCH 'https://my.paidlys.com/api/company/underpayment-limits' \
--header 'authorization: Bearer YOUR_PUBLIC_TOKEN' \
--header 'content-type: application/json' \
--data '{
"assets": {
"btc": {
"static": 0,
"percentage": 0
},
"eth": {
"static": 0,
"percentage": 0
},
"usdt": {
"static": 0,
"percentage": 0
},
"sol": {
"static": 0,
"percentage": 0
},
"ton": {
"static": 0,
"percentage": 0
},
"usdc": {
"static": 0,
"percentage": 0
},
"bnb": {
"static": 0,
"percentage": 0
},
"ltc": {
"static": 0,
"percentage": 0
},
"near": {
"static": 0,
"percentage": 0
},
"trx": {
"static": 0,
"percentage": 0
},
"bch": {
"static": 0,
"percentage": 0
}
}
}'

Get Underpayment Limits

Retrieve the current underpayment limits settings.

GET /api/company/underpayment-limits

Headers

HeaderValue
authorizationBearer YOUR_PUBLIC_TOKEN

cURL

curl --location 'https://my.paidlys.com/api/company/underpayment-limits' \
--header 'authorization: Bearer YOUR_PUBLIC_TOKEN'